package com.ruoyi.business.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.business.mapper.TbAreaMapper;
import com.ruoyi.business.domain.TbArea;
import com.ruoyi.business.service.ITbAreaService;
import com.ruoyi.common.core.text.Convert;

/**
 * 地区
Service业务层处理
 * 
 * @author xiatao
 * @date 2022-01-18
 */
@Service
public class TbAreaServiceImpl implements ITbAreaService 
{
    @Autowired
    private TbAreaMapper tbAreaMapper;

    /**
     * 查询地区

     * 
     * @param areaId 地区
主键
     * @return 地区

     */
    @Override
    public TbArea selectTbAreaByAreaId(Long areaId)
    {
        return tbAreaMapper.selectTbAreaByAreaId(areaId);
    }

    /**
     * 查询地区
列表
     * 
     * @param tbArea 地区

     * @return 地区

     */
    @Override
    public List<TbArea> selectTbAreaList(TbArea tbArea)
    {
        return tbAreaMapper.selectTbAreaList(tbArea);
    }

    /**
     * 新增地区

     * 
     * @param tbArea 地区

     * @return 结果
     */
    @Override
    public int insertTbArea(TbArea tbArea)
    {
        return tbAreaMapper.insertTbArea(tbArea);
    }

    /**
     * 修改地区

     * 
     * @param tbArea 地区

     * @return 结果
     */
    @Override
    public int updateTbArea(TbArea tbArea)
    {
        return tbAreaMapper.updateTbArea(tbArea);
    }

    /**
     * 批量删除地区

     * 
     * @param areaIds 需要删除的地区
主键
     * @return 结果
     */
    @Override
    public int deleteTbAreaByAreaIds(String areaIds)
    {
        return tbAreaMapper.deleteTbAreaByAreaIds(Convert.toStrArray(areaIds));
    }

    /**
     * 删除地区
信息
     * 
     * @param areaId 地区
主键
     * @return 结果
     */
    @Override
    public int deleteTbAreaByAreaId(Long areaId)
    {
        return tbAreaMapper.deleteTbAreaByAreaId(areaId);
    }
}
